Package org.opensaml.saml.metadata.resolver.index.impl

# Class SAMLArtifactMetadataIndex.ArtifactSourceLocationMetadataIndexKey

java.lang.Object
org.opensaml.saml.metadata.resolver.index.impl.SAMLArtifactMetadataIndex.ArtifactSourceLocationMetadataIndexKey

All Implemented Interfaces:
  `MetadataIndexKey`

Enclosing class:
  SAMLArtifactMetadataIndex

protected static class SAMLArtifactMetadataIndex.ArtifactSourceLocationMetadataIndexKey extends Object implements MetadataIndexKey
An implementation of `MetadataIndexKey` representing a SAML artifact source location value.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`canonicalizedLocation`
The location.
`private boolean`
`isCanonicalizedLowerCase`
Flag indicating whether canonicalized location is the simple lower case fallback strategy.
`private final String`
`location`
The location.
`private org.slf4j.Logger`
`log`
Logger.

## Constructor Summary

Constructors
Constructor
Description
`ArtifactSourceLocationMetadataIndexKey(String sourceLocation)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getCanonicalizedLocation()`
Get the canonicalized representation of the location, primarily for use in `hashCode()` and `equals(Object)`.
`String`
`getLocation()`
Gets the location.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### log

@Nonnull private org.slf4j.Logger log
Logger.

### location

@Nonnull private final String location
The location.

### canonicalizedLocation

@Nonnull private String canonicalizedLocation
The location.

### isCanonicalizedLowerCase

private boolean isCanonicalizedLowerCase
Flag indicating whether canonicalized location is the simple lower case fallback strategy.

## Constructor Details

### ArtifactSourceLocationMetadataIndexKey

public ArtifactSourceLocationMetadataIndexKey(@Nonnull @NotEmpty String sourceLocation)
Constructor.

Parameters:
  `sourceLocation` - the source location

## Method Details

### getLocation

@Nonnull public String getLocation()
Gets the location.

Returns:
  the location

### getCanonicalizedLocation

@Nonnull public String getCanonicalizedLocation()
Get the canonicalized representation of the location, primarily for use in `hashCode()` and `equals(Object)`.

Returns:
  the canonicalized source location

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`